/*
 * vRouter: Parse
 *
 * Purpose: a few routines for the parser classes (xxxreader)
 *          which inherit from Parse
 *
 * Changes:
 *  0.02 - Initial Release
 *
 */

#include<string>
#include<iostream>
#include <cctype>

#include "parse.h"


/*
 * Get a character, skip over whitespace
 */
char Parse::getc(istream &in)
{
  char c;
  c = in.get();
  while(isspace(c))
    {
      c = in.get();
    
     }
  return c;
}
/*
 * String parse routine with support for comments
 */
string Parse::getString(istream &in)
{
  
  char c;
  c = getc(in);
  while(c == '#')
    {
      char str[1024];
      in.getline(str, 1024);
      c = getc(in);
    }
  in.putback(c);
  
  string str;
  in >> str;
  return str;
}

/*
 * Integer parse routine with support for comments
 */
int Parse::getInt(istream &in)
{
  char c;
  
  c = getc(in);
  while(c == '#')
    {
      char str[1024];
      in.getline(str, 1024);  // Ignore the rest of the line
      c = getc(in);
    }
  in.putback(c);
  
  int i;
  in >> i;
  return i;
}



