/* vRouter: simreader
 *
 *  Purpose: Read and execute a simulation, based on stream input
 *
 *  Changes:
 *   0.02 - Initial release
 *
 */


#include "network.h"
#include "router.h"
#include "simulator.h"
#include "flow.h"
#include "parse.h"

#include <vector>
#include <string>
#include <iostream>

class Simreader : Parse {
 public:
  Simreader(Network *);
  ~Simreader();

  void read(istream &);

 private:

  void parse(istream&);
  Flow parse_flow(istream&);
  void parse_runsim(istream&);

  Simulator *sim;
  Network *net;
  istream in;
};











